/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.binding;

public interface NodeFactory {
	/**
	 * Instantiates a chain of Nodes for a propertyPath
	 * @param clazz The class of this node.
	 * @param propertyPath The full path to be traversed, e.g. "customer.street.name"
	 * @return The chain of Nodes for this property path
	 */
	public Node create(Class<?> clazz, String propertyPath);

}