/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.binding.factories;

import org.loom.util.ClassUtils;

/**
 * Instantiates a new java bean using the default empty constructor
 * @author Ignacio Coloma
 */
public class DefaultImplementationFactory implements ImplementationFactory<Object> {

	/** the class that will be instantiated upon request */
	private Class<?> implementationClass;
	
	public DefaultImplementationFactory(Class<?> propertyClass) {
		this.implementationClass = propertyClass;
	}

	public Object newInstance() {
		return ClassUtils.newInstance(implementationClass);
	}

	public Class<?> getImplementationClass() {
		return implementationClass;
	}
	
}
