package org.loom.config;

/**
 * Names of classes automatically detected by Loom.
 * Each name has a comment of the purpose of checking it in the classpath
 * @author icoloma
 *
 */
public interface ClassNames {
	
	/** is spring-security in the classpath? */
	public static final String SPRING_SECURITY = "org.springframework.security.core.Authentication";
	
	/** is JavaRebel in the classpath? */
	public static final String JAVAREBEL = "org.zeroturnaround.javarebel.ReloaderFactory";
	
	/** is JavaEE 5 (JSP 2.1) in the classpath? */
	public static final String JAVAEE_5 = "javax.el.ExpressionFactory";
	
	/** is YUICompressor in the classpath? */
	public static final String YUICOMPRESSOR = "com.yahoo.platform.yui.compressor.YUICompressor";
	
	/** is commons-annotations in the classpath? */
	public static final String COMMONS_ANNOTATIONS = "javax.annotation.security.RolesAllowed";
	
}
