/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.converter;

import org.loom.i18n.MessagesRepository;
import org.loom.servlet.names.CssClassNames;
import org.loom.tags.FormInputTag;
import org.loom.tags.core.AbstractTextFieldTag;

public class CharacterConverter extends AbstractSimpleConverter implements LocaleUnawareConverter {

	public CharacterConverter() {
		super(Character.class);
		setCssClass(CssClassNames.STRING);
	}

	@Override
	public String getAsTextImpl(Object value, MessagesRepository repository) {
		Character c = (Character) value;
		return c.charValue() == '\0'? null : c.toString();
	}
	
	@Override
	public Object getAsObject(String text) {
		return Character.valueOf(text.charAt(0));
	}
	
    @Override
    public void decorate(FormInputTag t) {
    	super.decorate(t);
    	if (t instanceof AbstractTextFieldTag) {
    		AbstractTextFieldTag tag = (AbstractTextFieldTag) t;
			tag.setMaxlength(1);
    	}

	}
}
