package org.loom.i18n;

import java.util.Locale;

/**
 * Listens to creatyion of new {@link MessagesRepository} instances.
 * Repositories are created on demand when the first request with a specific {@link Locale} is
 * received.
 * @author icoloma
 *
 */
public interface MessagesRepositoryEventListener {

	/**
	 * A new  {@link MessagesRepository} has been created
	 * @param repository
	 */
	public void onCreate(MessagesRepository repository);
	
}
