/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.interceptor;

import org.loom.mapping.ParsedAction;
import org.loom.resolution.Resolution;

/**
 * Gets invoked before the resolution execution. 
 * @author Ignacio Coloma
 */
public interface ResolutionInterceptor extends Interceptor {
	
	/**
	 * Gets invoked before resolution.resolve()
	 * @param action the action and event that is being executed
	 * @param resolution the action and event that is being executed
	 */
	public void beforeResolution(ParsedAction action, Resolution resolution);

	
}
