package org.loom.paged;

public interface PagedContainer {
	
	/** the default size of each page */
	public static final int DEFAULT_PAGE_SIZE = 25;

	/**
	 * @return the zero-based index of the first record that is returned. Internally, it multiplies the page index and the page size.
	 */
	public int getRecordIndex();
	
	/**
	 * @return the zero-based page index 
	 */
	public int getPageIndex();

	/**
	 * @return the sort order
	 */
	public SortOrder getSortOrder();

	/**
	 * @return the sort property
	 */
	public String getSortProperty();

	/**
	 * @return the number of records per page 
	 */
	public int getPageSize();
	
	/**
	 * @return the id of the paged container. This value will be used to disambiguate if more than one container is used on the same page
	 */
	public String getId();
	
}
