package org.loom.paged;

import java.util.List;

/**
 * The data of a paged list
 * @author icoloma
 *
 */
public interface PagedListData<T> extends PagedContainer {

	/**
	 * @return the zero-based index of the first record on the next page. 
	 */
	public int getNextPageRecordIndex();

	/**
	 * @return true if the list of returned data is empty
	 */
	public boolean isEmpty();
	
	/**
	 * @return the data included in this page
	 */
	public List<T> getData();
	
	/**
	 * @return the total number of records in this query, all pages included
	 */
	public int getTotalRecords();
	
	/**
	 * @return the total number of pages in this query
	 */
	public int getTotalPages();
	
	
}
