package org.loom.resources;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;

/**
 * Implementation of WebResourceData that stores the result files in disk.
 * @author icoloma
 *
 */
public class DiskWebResourceData extends AbstractWebResourceData {

	/** the (temp) file with the resource contents */
	private File file;
	
	/** the (temp) file with the gzipped resource contents */
	private File gzippedFile;
	
	public File getFile() {
		return file;
	}

	public File getGzippedFile() {
		return gzippedFile;
	}

	public InputStream getGzippedInputStream() {
		try {
			return new FileInputStream(gzippedFile);
		} catch (FileNotFoundException e) {
			throw new RuntimeException(e);
		}
	}

	public InputStream getInputStream() {
		try {
			return new FileInputStream(file);
		} catch (FileNotFoundException e) {
			throw new RuntimeException(e);
		}
	}

	public long getGzippedLength() {
		return gzippedFile.length();
	}

	public long getLength() {
		return file.length();
	}

	public void setFile(File resource) {
		this.file = resource;
	}

	public void setGzippedFile(File gzippedResource) {
		this.gzippedFile = gzippedResource;
	}
	
}
