package org.loom.resources.compressor;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

import com.yahoo.platform.yui.compressor.CssCompressor;

/**
 * Adapter for the javascript YUICompressor 
 * @author icoloma
 */
public class YuiCssCompressorAdapter implements WebResourceCompressor {
	
	/** insert a line break after the specified column number, default -1 */
	private int lineBreakColumn = -1;
	
	public void compress(InputStream input, OutputStream output) throws IOException {

		InputStreamReader reader = new InputStreamReader(input);
		OutputStreamWriter writer = new OutputStreamWriter(output);
		CssCompressor compressor = new CssCompressor(reader);
		compressor.compress(writer, lineBreakColumn);
		writer.flush();
		
		// note that I don't close both reader and writer. The underlying streams will
		// be closed by the caller, and these two will be garbage collected.
		
	}
	
	public int getLineBreakColumn() {
		return lineBreakColumn;
	}

	public void setLineBreakColumn(int lineBreakColumn) {
		this.lineBreakColumn = lineBreakColumn;
	}
	
}
