package org.loom.tags.core;

import org.loom.i18n.MessagesRepository;

/**
 * Compares two options by the label. Used for ordering options inside AbstractOptionTag.
 * @author Ignacio Coloma
 */
public class LabelComparator implements I18nComparator<Option> {

	/** required to translate before ordering */
	private MessagesRepository repository;
	
	public int compare(Option o1, Option o2) {
		return o1.getLabel(repository).compareTo(o2.getLabel(repository));
	}

	public void setRepository(MessagesRepository repository) {
		this.repository = repository;
	}

}