package org.loom.util.displaytag;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.Tag;

import org.displaytag.localization.I18nResourceProvider;
import org.displaytag.localization.LocaleResolver;
import org.loom.i18n.MessagesRepository;
import org.loom.servlet.LoomServletRequestImpl;

/**
 * Delegates DisplayTag i18n translation to Loom
 * @author Ernesto Hernandez
 */
public class DisplayTagResourceAdapter implements LocaleResolver, I18nResourceProvider {

	public String getResource(String resourceKey, String defaultValue, Tag tag, PageContext context) {
		LoomServletRequestImpl request = LoomServletRequestImpl.getInstance((HttpServletRequest)context.getRequest());
		MessagesRepository repository = request.getMessagesRepository();
		return repository.guessString(resourceKey != null? resourceKey : defaultValue);
	}

	public Locale resolveLocale(HttpServletRequest request) {
		return LoomServletRequestImpl.getInstance(request).getLocale();
	}
}
