/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.validator;

/**
 * Validate all kind of Objects. This is the default when there is no other (more specialized) validator.
 * @author Ignacio Coloma
 */
public class RequiredObjectValidator extends AbstractRequiredValidator<Object> {

	public RequiredObjectValidator() {
		setDefaultRequiredMessage(REQUIRED_MESSAGE);
	}
	
	@Override
	protected boolean isEmpty(Object value) {
		return value == null;
	}
 
}
